Page MenuHomePhabricator

img_auth.php fails to serve transcoded videos
Closed, ResolvedPublic

Description

Maggie Dennis from LCA reported a bug during which officewiki videos fail to play properly. further investigation showed that it's likely img_auth.php's fault and especially in regards with transcoded containers.

As an example,
https://office.wikimedia.org/w/img_auth.php/transcoded/9/99/Basic_tables.ogv/Basic_tables.ogv.480p.ogv

returns an "access denied" (a misnomer), with the message:
File "mwstore://local-multiwrite/local-public/transcoded/9/99/Basic_tables.ogv/Basic_tables.ogv.480p.ogv" does not exist.

This is clearly wrong. That file would not exist indeed, the correct path would be
mwstore://local-multiwrite/local-transcoded/9/99/Basic_tables.ogv/Basic_tables.ogv.480p.ogv
(and I've verified this exists in Swift indeed)


Version: unspecified
Severity: normal

Details

Reference
bz65007

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:25 AM
bzimport set Reference to bz65007.
bzimport added a subscriber: Unknown Object (MLST).
faidon created this task.May 7 2014, 4:52 PM

Change 132000 had a related patch set uploaded by Faidon Liambotis:
img_auth: handle files in the transcoded zone

https://gerrit.wikimedia.org/r/132000

Change 132000 merged by jenkins-bot:
img_auth: handle files in the transcoded zone

https://gerrit.wikimedia.org/r/132000

Change 132595 had a related patch set uploaded by Aaron Schulz:
img_auth: handle files in the transcoded zone

https://gerrit.wikimedia.org/r/132595

Change 132596 had a related patch set uploaded by Aaron Schulz:
img_auth: handle files in the transcoded zone

https://gerrit.wikimedia.org/r/132596

Change 132595 merged by jenkins-bot:
img_auth: handle files in the transcoded zone

https://gerrit.wikimedia.org/r/132595

Change 132596 merged by jenkins-bot:
img_auth: handle files in the transcoded zone

https://gerrit.wikimedia.org/r/132596

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:23 AM